package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import lombok.Getter;

/**
 * 客户端类型
 * Created by Eric.Shang on 2022/11/4.
 */
@Getter
public enum EUserMusicType implements BaseEnum<String,EUserMusicType> {

    // 草稿 作品
    DRAFT("草稿 作品"),
    // 正式 作品
    FORMAL("正式 作品"),
    ;

    private final String msg;

    @EnumValue
    private final String code;

    EUserMusicType(String msg) {
        this.msg = msg;

        this.code = this.name();
    }

}
